package ui.model;

import classes.Edge;

public class DecoratedCable {
	public enum CableState{
		Working, Burned
	}
	private Edge model;
	private CableState state;
	private float flowEnergy;
	private float powerLoss;

	public DecoratedCable(Edge edge, CableState state, float flowEnergy, float powerLoss){
		this.model = edge;
		this.state = state;
		this.flowEnergy = flowEnergy;
		this.powerLoss = powerLoss;
	}
	public Edge getModel() {
		return model;
	}
	public CableState getState() {
		return state;
	}
	public float getFlowEnergy() {
		return flowEnergy;
	}

	public float getPowerLoss() {
		return powerLoss;
	}

	public void setFlowEnergy(float flowEnergy) {
		this.flowEnergy = flowEnergy;
	}
}
